Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366008 - Importing a cluster should report information about all OSDs existing in the imported cluster
Summary: Importing a cluster should report information about all OSDs existing in the ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: unclassified
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 17:54 UTC by Jean-Charles Lopez
Modified: 2017-03-23 04:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 04:11:47 UTC


Attachments (Terms of Use)
Import phase for the cluster (deleted)
2016-08-10 17:54 UTC, Jean-Charles Lopez
no flags Details

Description Jean-Charles Lopez 2016-08-10 17:54:29 UTC
Created attachment 1189777 [details]
Import phase for the cluster

Description of problem: 
Deployed a cluster with ceph-ansible, collocated journals for the OSDs, collocated OSDs and MONs. Deployed calamari-server as instructted by the existing version of the doc (https://access.qa.redhat.com/documentation/en/red-hat-storage-console/2.0/single/red-hat-storage-console-20-quick-start-guide#red_hat_storage_console_package_installation) and (https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/single/installation-guide-for-red-hat-enterprise-linux#calamari_server_installation)


Version-Release number of selected component (if applicable): 2.0 (0.0.39


How reproducible:
100%

Steps to Reproduce:
1. Deploy cluster with ceph-ansible
2. Deploy calamari-server on one of the MONs
3. Import cluster into RHSCON

Actual results:
During the import phase, only the calamari node is reported as MON,OSD, all others are MON only
In the cluster view, only 2 OSDs are being reported although the cluster has 6 OSDs total

Expected results:
Should see all 6 OSDs in the cluster
Import phase should detect MON,OSD role for each node

Additional info:

Comment 3 Nishanth Thomas 2016-08-11 03:59:48 UTC
This is an unsupported configuration. USM doesn't support the configuration with collocated OSDs and MONs on the same host.Are you seeing this issue with in a normal deployment case where OSD/MON are on separate hosts?

Comment 4 Jean-Charles Lopez 2016-08-11 15:12:01 UTC
(In reply to Nishanth Thomas from comment #3)
> This is an unsupported configuration. USM doesn't support the configuration
> with collocated OSDs and MONs on the same host.Are you seeing this issue
> with in a normal deployment case where OSD/MON are on separate hosts?

Well if it's not supported it explains everything I guess.

I'm closing it and will mark it as WONTFIX then

Comment 6 Sharmilla Abhilash 2016-08-18 12:25:00 UTC
Moving to 3.0 and this will be part of the async. Added to the async tracker.

Comment 7 Ju Lim 2016-08-24 18:51:50 UTC
This ask is for an unsupported (upstream) configuration for nodes to have multiple roles (e.g. mon and osd on the same node).  This is a RFE.


Note You need to log in before you can comment on or make changes to this bug.